/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.antragsraum.attachments;

class VirusScannerClientTestFactory {

	static final String FILE_NAME = "TestFileName.pdf";

	static VirusScannerClient.VirusScanResponse createVirusScanResponse() {
		return createVirusScanResponse(true, false);
	}

	static VirusScannerClient.VirusScanResponse createVirusScanResponse(boolean successful, boolean infected) {
		VirusScannerClient.VirusScanResult result = new VirusScannerClient.VirusScanResult();
		result.setName(FILE_NAME);
		result.setInfected(infected);
		result.setViruses(infected ? new String[] { "VirusA", "VirusB" } : new String[] {});

		VirusScannerClient.VirusScanData data = new VirusScannerClient.VirusScanData();
		data.setResult(new VirusScannerClient.VirusScanResult[] { result });

		VirusScannerClient.VirusScanResponse response = new VirusScannerClient.VirusScanResponse();
		response.setData(data);
		response.setSuccess(successful);

		return response;
	}

}
